---
id: workflow-revision-list
title: List revisions
description: >-
  Lists the workflow's revisions, paginated. Definitions are omitted
  (`definition: null`) unless `includeDefinition=true`.
sidebar_label: List revisions
hide_title: true
hide_table_of_contents: true
api: >-
  eJztWFFv2zYQ/isHviTBFNndGnQQsIe0a4cMRVFk6VKgCGpaPFlsKFIlKTuuof8+HCXLsq3Y3fqwPvQpsXnkfffx7uOdV8zzmWPJB3Zr7H2mzAIszqWTRjt2FzGBLrWy9NJolrDX0nkHPkdYtNYnbmMfQclnUnOPIobfMZNa0j4H3CKYQnqPAk4noltJQFdKTc6g0gqdg4nUqaoEbvb+5m2Fk5hFzJRoOX11JVjC1u7P184TJZ1nESu55QV6tBTTiklCXXKfs4hpXiBLmBQsYhY/V9KiYAk5iJhLcyw4S1bML0uyct5KPWP1LgM9ljK0qFNMgINDO0d7XkhNIUqKcpF9jON4cgbG7hKWKonan6e5cajhHpdwqswCbcodglPVLIJKy88VQokWjJ1xLb+E2M+ICXzgRakI5CL7KLPb59PbrKxmY83qqI34c4V22Qt5l1Y2EPHUGIWclgRmvFKeJRlXDvcouGpOA+Rp3l3+iYOsUgo2lxs/CkfJQvohCETfDG0fwsU4YgV/kEVV0IfxHpqbHKE1AF0VU2IsA4uuUt4FAks+QzhNFS9KFOANXIzH20RejB+DarLM4RGshdQNvHEP9zBQ57n1Us+gNFJ7yIxdl0wgrAdpXN9FzGFaWemXIZWnyC3ay8rnLPlwR8sWXWm0Q0ewfh6P6c++z64mgUqkIactWPKYGu1Re9rLy1LJNGAZfXJ0wGo/bjP9hGmoNEsl6WXjXnDft+LWcqJReizCupc+pOx165tFewduavJDV99XTbF2e1KLFMqlJ23aRtDbslfGh4tm42A4FfuMrvG3uRZtrpR7eLJ1hb+EFOhKboBCUj8+JdtGhfYvb7emYBIUE6RubrNLgeMSWvfZG2AoM7bgniV0lXjuZYG9Lc+Xg9poUSF3+Mb45g72DBwWXHuZ/o12h+C1TV3XEfPGczXAfh21YjG41BbnwFrdHPv0/fv9mngR1BfQWmNjIJKnRizB8aWDRc49LGh5YY2eJcB1YwgTcjGJgENeFVyfW+SCrg4mAj2Xipa0iMBomHMlRagiyLhUlUVH3yOg9nbZaHqWoRaUNZlEJQ7UYWnNVGHx00A9thX1trEYKKhB/dGCW9EGFQI/vX71Ap79On4GrS9oInJR86wJ4A4mj2GaBCXdrsQGx36GbeN5GSCQDby7vooA41kMk9z70iWjUffAu6XzWMQC56MA2m2WtPHnmam0mGw/i//pDEqoltJD6vHGkGy39s5zX7lB1eh2PB0/DTpAlB47umsSYCF9Tn3EjlgBPlAHRr6lpstMj8DtAnWjjYq40YAGNsQMSPj2rb216Kg+hvM8OZ7nmxfh4HsSerbDoTmPpRu5lOtRanQmg+AU6ByfHWGlqJyHnM8R1m8OtN6XcJIagSethAQVuRhSkXcaH0pM6Vltmr9WUH5U8o9K/lHJ32UlhzN9bmh+nGEzLBK0x6hdSVGPNsMwNTNU6M1gWVnVy09eypgas1JxT31UnJqC9Tv4v6jYGz76fXwXGh20njLCMBaMWNT+82rdm/15e8PqkDOZoe3zdV/FnsTjeMy6zGdvenDg8u0VUVoa5wse1Kedb143TeQmxq0cWW207P8c/VuOPD74Uam4DFkeLmCdXZuBoYmh888ilsj+DBF+1MiN87RptZpyh++sqmv6upn96HaFdNTciXYEPkDLVw/Dj4Rxj8tHBvQ5VxXZhzH66wF9wzx8AOB6ZP8GUEdn3wPuuzF84/+OPljZjE//6spOr1upOIPv4NecwajXwq2X/Zi7bBGsvqsjliMXaEP0zcJlmmLZp2lvoifaOhH84+UNixjfVqId5QmnD8JZrRqLG3OPuq47dJ4+E8C6/gdn8h/p
sidebar_class_name: get api-method
info_path: docs/api/nullplatform-api
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/workflow-revision-list'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List revisions"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/workflows/definitions/{id}/revisions"}
  context={"endpoint"}
>

</MethodEndpoint>

Lists the workflow's revisions, paginated. Definitions are omitted (`definition: null`) unless `includeDefinition=true`.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","required":true,"schema":{"type":"string"},"description":"Workflow reference: a server-minted id (`wf_...`) or the workflow's client-chosen key (lowercase slug, unique per organization).","example":"wf_ifWBbWfpug0n"},{"in":"query","name":"includeDefinition","schema":{"type":"boolean","default":false},"description":"Include each revision's full definition."},{"in":"query","name":"limit","schema":{"type":"integer","default":50,"maximum":500},"description":"The maximum number of results per page (clamped to 500).","example":50},{"in":"query","name":"offset","schema":{"type":"integer","minimum":0,"default":0},"description":"The starting point for pagination.","example":0}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The paginated list of revisions.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"title":"Revision","type":"object","required":["workflowId","revision","createdAt"],"properties":{"workflowId":{"type":"string","example":"wf_ifWBbWfpug0n"},"revision":{"type":"integer","description":"Revision number, starting at 1.","example":3},"definition":{"type":"object","nullable":true,"description":"The full definition. `null` in list responses unless `includeDefinition=true`."},"createdAt":{"type":"string","format":"date-time"},"createdBy":{"type":"string"},"releaseNotes":{"type":"string"},"semanticVersion":{"type":"string"}}}},"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}},"4XX":{"description":"Client error. The body says what went wrong: an error `type`, a human-readable `detail`, and, on validation failures, one entry per offending field.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}},"5XX":{"description":"Unexpected server error.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}}}}
>

</StatusCodes>

